<!--#include file="../inc/Secure.htm"-->
<%dim ThisKey
ThisKey = "h"
%>
<!--#include file="../inc/permission.htm"-->
<!--#include file="../inc/conn.htm"-->
<!--#include file="../inc/dbtools.htm"-->
<HTML>
<HEAD>
<TITLE>  </TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/main.css">
</HEAD>
<%
ID=trim(request("ID"))
todo=trim(request("todo"))
if todo="delete" and id<>"" then
oConn.execute "delete tblwatch where ID="& id
end if
%>
<BODY BGCOLOR="#FFFFFF">
<div align=center>
<table border=1 cellpadding=3 cellspacing=0 width="90%" bgcolor=#EEEEEE bordercolordark="#FFFFFF" bordercolorlight="#999999"><tr><td>
<INPUT TYPE="button" name="cmdreturn" value="返  回" class="font9boldwhite" onclick="javascript:window.location.href='watch_index.htm'">
</td></tr></table>


<%
Set Rs = Server.Createobject("Adodb.recordset")
sql="select * from tblwatch where StartTime>= '"& date()&" 00:00:00" &"' order by ID desc"
rs.open sql,oConn
while not rs.eof
%>
<div align="center">
<table border=1 cellpadding=3 cellspacing=1 width="90%" bgcolor=#EEEEEE bordercolordark="#FFFFFF" bordercolorlight="#999999">
	<tr bgcolor=#CCCCCC>
        <td colspan=4 align=center>-->取消该安排 </td>
      </tr>

	<tr>
	<td nowrap width="15%">部门:</td>
	<td>
	<%if trim(rs("Department"))<>"" then%>
	<%=GetTableValue("tblDepartment","Name","ID",trim(rs("Department")))%>
	<%end if%>
	&nbsp;</td>
	<td nowrap width="15%">填写安排:</td>
	<td>
	<%if trim(rs("CreateName"))<>"" then%>
	<%=trim(rs("CreateName"))%>
	<%end if%>
	&nbsp;</td>
	</tr>
	
	<tr>
	
	<td nowrap width=60>填写时间:</td>
	<td colspan=3>
	<%if trim(rs("Times"))<>"" then%>
	<%=trim(rs("Times"))%>
	<%end if%>
	&nbsp;</td>
	</tr>

	

	<tr>
	<td nowrap>值班内容：</td>
	<td colspan=3><%=replace(replace(server.htmlencode(trim(rs("body"))&""),chr(13),"<br>")," ","&nbsp;")%>&nbsp;</td>
	</tr>
			
</table>
</div><BR>

<%
rs.movenext
wend
rs.close
set rs=nothing
%>
</table>
<INPUT TYPE="hidden" name="OrderID" value="<%=LoginID%>">
<INPUT TYPE="hidden" name="watchID" value="<%=watchID%>">
</form>
</div>
</BODY>
</HTML>
<script language=javascript>
function CheckDelete()
{
	return confirm("确实删除吗？");
}
</script>
<!--#include file="../inc/conn_close.htm"-->
<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		'set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function


%>